import { Component } from 'preact';
export interface PNode {
    id?: number;
    name: string;
    children?: PNode[];
}
export interface NodePickerProps {
    name?: string;
    className?: string;
    placeholder?: string;
    title?: string;
    style?: any;
    tree: PNode[];
    isLastParent?: {
        (node: PNode): boolean;
    };
    onChange?: {
        (node: PNode, paths: number[]): string;
    };
}
export interface NodePickerState {
    paths?: number[];
    name?: string;
    active: boolean;
    keywords?: string;
}
export default class  extends Component<NodePickerProps, NodePickerState> {
    isLastParent: (node: PNode) => boolean;
    defaultChange: (node: PNode, paths: number[]) => string;
    init: (paths?: any[]) => void;
    componentWillReceiveProps(nextProps: any): void;
    state: NodePickerState;
    constructor(props: NodePickerProps);
    changeParent: (target: any, deepth: any) => void;
    toggleActive: () => void;
    onPick: (node: PNode) => void;
    changeKeywords: (e: any) => void;
    render(): JSX.Element;
}
